### Struct

# Ggit DiffBinary

#### Description [src]

    struct GgitDiffBinary {
      /* No available fields */
    }

Represents a diff binary.

#### Instance methods

###### ggit_diff_binary_get_new_file

Gets the `GgitDiffBinaryFile` new file for `binary`.

###### ggit_diff_binary_get_old_file

Gets the `GgitDiffBinaryFile` old file for `binary`.

###### ggit_diff_binary_ref

Atomically increments the reference count of `binary` by one. This function is MT-safe and may be called from any thread.

###### ggit_diff_binary_unref

Atomically decrements the reference count of `binary` by one. If the reference count drops to 0, `binary` is freed.